/* *******************************************************************
   Ethernet
   all LAN relevant functions
   ***************************************************************** */

   
void ethernetBegin()
{
  delay(1000);                                    // give the W5100 a little time to wake up - needed for some of my shields
  Ethernet.begin(mac, ip, dns, gateway, subnet);  // start the Ethernet shield
  //ethernetHardwareInfo();                       // print Ethernet hardware info
}  
   
// print hardware info of the Ethernet interface
void ethernetHardwareInfo()
{
  if (Ethernet.hardwareStatus() == EthernetNoHardware) {
    Serial.println(F("Ethernet shield not found"));
  }
  else if (Ethernet.hardwareStatus() == EthernetW5100) {
    Serial.println(F("W5100 detected"));
  }
  else
  {
    if (Ethernet.hardwareStatus() == EthernetW5200) {
      Serial.println(F("W5200 detected"));
    }
    else if (Ethernet.hardwareStatus() == EthernetW5500) {
      Serial.println(F("W5500 detected"));
    }
    if (Ethernet.linkStatus() == Unknown) {        // cable connection
      Serial.println(F("Link status detection is only available with W5200 and W5500"));
    }
    else if (Ethernet.linkStatus() == LinkON) {
      Serial.println(F("Link status: On"));
    }
    else if (Ethernet.linkStatus() == LinkOFF) {
      Serial.println(F("Link status: Off"));
    }
  }
}
